# $Revision: 1.5 $, $Date: 2012/01/18 20:03:43 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Getopt
%define	pnam	Euclid
Summary:	Getopt::Euclid - Executable Uniform Command-Line Interface Descriptions
Summary(pl.UTF-8):	Getopt::Euclid - ujednolicone opisy interfejsu linii poleceń
Name:		perl-Getopt-Euclid
Version:	0.3.2
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Getopt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	70de1b3351f52ba8a741c1e7d51049b0
URL:		http://search.cpan.org/dist/Getopt-Euclid/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-version
BuildRequires:	perltidy
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Getopt::Euclid uses your program's own documentation to create a
command-line argument parser. This ensures that your program's
documented interface and its actual interface always agree.

%description -l pl.UTF-8
Getopt::Euclid wykorzystuje dokumentację programu do utworzenia
analizatora argumentów linii poleceń. Daje to pewność, że
udokumentowany i faktyczny interfejs programu będą się zawsze zgadzać.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Getopt/*.pm
%{perl_vendorlib}/Getopt/Euclid
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Getopt-Euclid.spec,v $
Revision 1.5  2012/01/18 20:03:43  zbyniu
- up to 0.3.2

Revision 1.4  2009/10/23 08:03:46  amateja
- updated to 0.2.1

Revision 1.3  2009/06/23 11:45:57  amateja
- updated to 0.2.0

Revision 1.2  2008/03/24 02:37:30  qboosh
- pl

Revision 1.1  2007-11-28 11:48:27  sls
- thanks to pldcpan
